Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
Interface Factory

All Known Implementing Classes:
  AbstractFactory

    public interface Factory

Author:
  Andres Almiray

Method Summary
`boolean` | `isLeaf()`
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
`boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map attributes)`
`void` | `onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)`
`void` | `setChild(FactoryBuilderSupport builder, Object parent, Object child)`
`void` | `setParent(FactoryBuilderSupport builder, Object parent, Object child)`

Method Detail

### isLeaf

    boolean isLeaf()

  Returns:
    true if no child closures should be processed

### newInstance

    Object newInstance(FactoryBuilderSupport builder,
                       Object name,
                       Object value,
                       Map attributes)
                       throws InstantiationException,
                              IllegalAccessException

  Parameters:
    `builder` - the FactoryBuilder
    `name` - the name of the node being built
    `value` - the 'value' argument in the build node
    `attributes` - the attributes of the build arg
  Returns:
    the object created for the builder
  Throws:
    `InstantiationException`
    `IllegalAccessException`

### onHandleNodeAttributes

    boolean onHandleNodeAttributes(FactoryBuilderSupport builder,
                                   Object node,
                                   Map attributes)

  Parameters:
    `builder` - the FactoryBuilder
    `node` - the node (returned from newINstance) to consider the attributes for
    `attributes` - the attributes, a mutable set
  Returns:
    true if the factory builder should use standerd bean property matching for the remaining attributes

### onNodeCompleted

    void onNodeCompleted(FactoryBuilderSupport builder,
                         Object parent,
                         Object node)

  Parameters:
    `builder` - the FactoryBuilder
    `parent` - the parent node (null if 'root')
    `node` - the node just completed

### setParent

    void setParent(FactoryBuilderSupport builder,
                   Object parent,
                   Object child)

### setChild

    void setChild(FactoryBuilderSupport builder,
                  Object parent,
                  Object child)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD